Skip to main content
POST
/
customers
/
{customer_id}
/
disclosures
Create a Disclosure
curl --request POST \
  --url https://api-sandbox.synctera.com/v0/customers/{customer_id}/disclosures \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event_type": "VIEWED",
  "timestamp": "2010-05-06T12:23:34.321Z",
  "type": "REG_DD",
  "version": "v1.1",
  "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}
'
import requests

url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/disclosures"

payload = {
    "event_type": "VIEWED",
    "timestamp": "2010-05-06T12:23:34.321Z",
    "type": "REG_DD",
    "version": "v1.1",
    "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    event_type: 'VIEWED',
    timestamp: '2010-05-06T12:23:34.321Z',
    type: 'REG_DD',
    version: 'v1.1',
    id: '7d943c51-e4ff-4e57-9558-08cab6b963c7'
  })
};

fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/disclosures', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "event_type": "VIEWED",
  "timestamp": "2010-05-06T12:23:34.321Z",
  "type": "REG_DD",
  "version": "v1.1",
  "creation_time": "2010-05-06T12:23:34.321Z",
  "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "last_updated_time": "2010-05-06T12:23:34.321Z"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

customer_id
string<uuid>
required

The customer's unique identifier

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Disclosure to create

Represents a disclosure

event_type
enum<string>
required
Available options:
ACKNOWLEDGED,
DISPLAYED,
VIEWED
Example:

"VIEWED"

timestamp
string<date-time>
required

Date of disclosure

Example:

"2010-05-06T12:23:34.321Z"

type
enum<string>
required

Disclosure Type

Available options:
ACH_AUTHORIZATION,
CARDHOLDER_AGREEMENT,
E_SIGN,
FCRA,
KYC_DATA_COLLECTION,
MLA,
OWNER_CERTIFICATION,
PRIVACY_NOTICE,
REG_CC,
REG_DD,
REG_E,
SC_ACCOUNT_AGREEMENT,
SC_AUTO_PAYMENT,
SC_SECURITY_AGREEMENT,
TERMS_AND_CONDITIONS,
TILA
Example:

"REG_DD"

version
string
required

Disclosure Version

Example:

"v1.1"

id
string<uuid>

Disclosure ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

Created disclosure

Represents a disclosure

event_type
enum<string>
required
Available options:
ACKNOWLEDGED,
DISPLAYED,
VIEWED
Example:

"VIEWED"

timestamp
string<date-time>
required

Date of disclosure

Example:

"2010-05-06T12:23:34.321Z"

type
enum<string>
required

Disclosure Type

Available options:
ACH_AUTHORIZATION,
CARDHOLDER_AGREEMENT,
E_SIGN,
FCRA,
KYC_DATA_COLLECTION,
MLA,
OWNER_CERTIFICATION,
PRIVACY_NOTICE,
REG_CC,
REG_DD,
REG_E,
SC_ACCOUNT_AGREEMENT,
SC_AUTO_PAYMENT,
SC_SECURITY_AGREEMENT,
TERMS_AND_CONDITIONS,
TILA
Example:

"REG_DD"

version
string
required

Disclosure Version

Example:

"v1.1"

creation_time
string<date-time>
read-only
Example:

"2010-05-06T12:23:34.321Z"

id
string<uuid>

Disclosure ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

last_updated_time
string<date-time>
read-only
Example:

"2010-05-06T12:23:34.321Z"